package gcewing.lighting.ic2;

import net.minecraft.block.material.*;
import net.minecraft.creativetab.*;
import net.minecraft.entity.player.*;
import net.minecraft.tileentity.*;
import net.minecraft.world.*;

import gcewing.lighting.*;

public class BlockFloodlightIC2 extends BlockFloodlight  {

	public final boolean switchedOn;

	public BlockFloodlightIC2(int id, boolean on) {
		super(id, 6, Material.rock);
		setHardness(1.5F);
		setCreativeTab(CreativeTabs.tabMisc);
		switchedOn = on;
	}

	@Override
	public int getBlockTextureFromSideAndMetadata(int side, int data) {
		int base = blockIndexInTexture;
		if ((data & 1) != 0)
			base += 4;
		switch (side) {
			case 0: return base; // bottom
			case 1: return base + 3; // top
			default: return base + 1 + (switchedOn ? 1 : 0); // sides
		}
	}

	@Override
	public boolean onBlockActivated(World world, int x, int y, int z, EntityPlayer player,
		int par6, float par7, float par8, float par9)
	{
		if (!player.isSneaking()) {
			if (!world.isRemote)
				flipSwitch(world, x, y, z);
			return true;
		}
		else
			return false;
	}

	@Override
	public TileEntity createNewTileEntity(World world) {
		return new TEFloodlightIC2();
	}
	
	public void flipSwitch(World world, int x, int y, int z) {
		//TileEntity te = world.getBlockTileEntity(x, y, z);
		int data = world.getBlockMetadata(x, y, z);
		int newID;
		if (switchedOn)
			newID = GregsLightingIC2.floodlightIC2.blockID;
		else
			newID = GregsLightingIC2.floodlightIC2on.blockID;
		world.setBlockAndMetadata(x, y, z, newID, data);
		//world.setBlockTileEntity(x, y, z, te);
		update(world, x, y, z);
		updateBeam(world, x, y, z);
	}

	@Override
	public boolean isActive(World world, int x, int y, int z) {
		TEFloodlightIC2 te = (TEFloodlightIC2)world.getBlockTileEntity(x, y, z);
		return te.isActive();
	}
	
}
